use thiserror::Error;

#[allow(dead_code)]
#[derive(Error, Debug)]
pub enum DaemonError {
    #[error("DB error")]
    DBError(#[from] j_db::error::JDbError),
    #[error("User group not found")]
    UserGroupNotFound,
    #[error("Service group not found")]
    ServiceGroupNotFound,
    #[error("User not authorized")]
    UserNotAuthorized,
}
